#!/bin/sh
# 
# Build script to cross-compile OpenOCD under Debian linux
#
# script v0.1, edizontn@gmail.com, www.mikrozone.eu

clear
echo "*****************************************************************"
echo "      Script for build latest OpenOCD under Debian Linux         "
echo "*****************************************************************"


echo "*****************************************************************"
echo "Installing required packages ..."
echo " "
sudo apt-get install bzip2 curl unzip git gcc pkg-config libtool automake texinfo  

echo "Downloading and installing 7zip ..."
sudo apt-get install make binutils findutils 
curl -L "http://sourceforge.net/projects/p7zip/files/latest/download?source=files" -o P7ZIP.tar.bz2
mkdir p7zip 
tar -xf P7ZIP.tar.bz2 -C p7zip 
cd p7zip/* 
make
sudo ./install.sh                
cd .. 
cd ..
sudo apt-get install libftdi-dev libusb-1.0-0-dev


echo "*****************************************************************"
echo "Downloading OpenOCD source ..."
echo " "
#mkdir openocd-src
#cd openocd-src
git clone "git://git.code.sf.net/p/openocd/code" openocd-src 
#curl -L "https://sourceforge.net/projects/openocd/files/latest/download?source=files" -o openocd-src.tar.bz2 
 

echo "*****************************************************************"
echo "bootstrap..."
echo " "
cd openocd-src
#cd openocd-src/*
./bootstrap
cd ..

 echo "*****************************************************************"
 echo "Configuring OpenOCD..."
 echo " "
 mkdir -p openocd-build
 cd openocd-build
 .././openocd-src/configure --enable-maintainer-mode --disable-werror --disable-shared  --enable-stlink --enable-jlink  --enable-ftdi --enable-presto_libftdi --enable-ulink --enable-arm-jtag-ew --enable-vsllink


echo "*****************************************************************"
echo "Building and installing OpenOCD..."
echo " "
#sudo rm -R /usr/local/share/openocd/* >> /dev/null
make
mkdir -p ../openocd-install 
make
sudo make install
cd ..




sudo cp /usr/local/share/openocd/contrib/99-openocd.rules /etc/udev/rules.d/99-openocd.rules
#sudo udevadm control –-reload-rules
#sudo ln -s /usr/local/share/openocd/scripts/ /opt/openocd
#export PATH=$PATH:/opt/openocd/share/openocd/scripts/
#export PATH=$PATH:/opt/openocd/bin/

echo "*****************************************************************"
echo "Cleaning OpenOCD install directory..."
echo " "
#cp -r share/openocd/contrib contrib
#cp -r share/openocd/scripts scripts
#rm -rf share >> /dev/null
#rm -rf lib >> /dev/null
#rm *.zip >> /dev/null
#rm *.html >> /dev/null
#rm *.bz2 >> /dev/null
 
cd ..
 
echo "*****************************************************************"
echo "Copying OpenOCD checkout information to install directory..."
echo " "
#cp openocd-src/NEWS* openocd-install
#cp openocd-src/BUGS openocd-install

echo "*****************************************************************"
echo "*****************************************************************"
echo "*****************************************************************"
echo "  Build done. Output you can find in 'openocd-install' folder.   "
echo " Binary you can find in /opt/openocd/bin                         "
echo " Scripts and other you can find in /opt/openocd/share            "
echo "*****************************************************************"
echo "*****************************************************************"
echo "*****************************************************************"
